API reference / Operations by tag
assistant
Operations tagged assistant.
3 operations. Base URL https://api.metrixed.com/v1; see authentication, errors and pagination.
Operations
| Method | Path | Summary |
|---|---|---|
| GET | /assistant/actions | The caller's assistant actions (proposed write tools awaiting confirmation, executed, failed, cancelled) |
| POST | /assistant/actions/{id}/cancel | Discard a proposed assistant action |
| POST | /assistant/actions/{id}/confirm | Run a proposed assistant action as the caller (role permissions and manager scope apply); once only, within an hour of the proposal; audited |
GET /assistant/actions
The caller's assistant actions (proposed write tools awaiting confirmation, executed, failed, cancelled)
Operation getAssistantActions. Auth: API key (Bearer) or session cookie.
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json AssistantActionList |
| default | error | application/json Error |
bash
curl 'https://api.metrixed.com/v1/assistant/actions' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
json
{
"data": [
{}
]
}
POST /assistant/actions/{id}/cancel
Discard a proposed assistant action
Operation postAssistantActionsIdCancel. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json AssistantActionCancelled |
| default | error | application/json Error |
bash
curl -X POST 'https://api.metrixed.com/v1/assistant/actions/<id>/cancel' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
json
{
"id": "",
"status": ""
}
POST /assistant/actions/{id}/confirm
Run a proposed assistant action as the caller (role permissions and manager scope apply); once only, within an hour of the proposal; audited
Operation postAssistantActionsIdConfirm. Auth: API key (Bearer) or session cookie.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | ok | application/json AssistantActionResult |
| default | error | application/json Error |
bash
curl -X POST 'https://api.metrixed.com/v1/assistant/actions/<id>/confirm' \
-H "Authorization: Bearer $DT_API_KEY" \
-H 'Accept: application/json'
Example 200 response:
json
{
"id": "",
"status": "",
"result": {},
"executed_at": "1970-01-01T00:00:00.000Z"
}